Subject: RE: Compiling apps to Mingw32 with cygwin
From: "Jon Leichter" <[email-masked]>
To: "Robert Collins" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 10 Jan 2002 17:52:09 -0800

> -----Original Message-----
> From: Robert Collins [mailto:[email-masked]]
> Sent: Thursday, January 10, 2002 5:45 PM
> To: Jon Leichter
> Cc: [email-masked]
> Subject: Re: Compiling apps to Mingw32 with cygwin
>
> ----- Original Message -----
> From: "Jon Leichter" <[email-masked]>
> > Sorry... I left that out. Yes, I do have an accessible
> i686-pc-mingw32-gcc,
> > and I am looking at the configure script. It just searches for gcc. It
> > doesn't bother to look for the prefixed tool.
>
> Are you sure? Here's the output of a configure script here.
>
> Administrator@LIFELESSWKS /usr/src/squid/t
> $ ../auth_rewrite/configure --host=i686-pc-linux --build=i686-pc-cygwin
> checking for a BSD compatible install... /bin/install -c
> checking whether build environment is sane... yes
> checking for mawk... no
> checking for gawk... gawk
> checking whether make sets ${MAKE}... yes
> checking whether to enable maintainer-specific portions of Makefiles...
> no
> *****checking for i686-pc-linux-gcc... no******
> checking for gcc... gcc
> checking for C compiler default output...
>
> If you don't see that line, then one or more tests are missing from your
> configure.in
>
> these two should enable that functionality.
> AC_CANONICAL_HOST
> AC_PROG_CC
>
> Rob
>

Yes, I'm very sure. A quick investigation has yielded the following:

- In autoconf 2.13 (I don't have 2.13.1), AC_PROG_CC is implemented with
AC_CHECK_PROG.

- In autoconf 2.52, AC_PROG_CC is implemented with AC_CHECK_TOOL.

AC_CHECK_TOOL checks for tools with a ${host} prefix. AC_CHECK_PROG does
not.

In my opinion, this serves as another example that one cannot count on a
configure script being up-to-date.

Jon

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/